<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__i2c__data__structures" kind="group">
    <compoundname>group_scb_i2c_data_structures</compoundname>
    <title>Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__scb__i2c__config__t">cy_stc_scb_i2c_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__scb__i2c__context__t">cy_stc_scb_i2c_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__scb__i2c__master__xfer__config__t">cy_stc_scb_i2c_master_xfer_config_t</innerclass>
      <sectiondef kind="typedef">
      <memberdef id="group__group__scb__i2c__data__structures_1ga5d6df20d77d2690048aaef8fe9e57e2e" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(*  cy_cb_scb_i2c_handle_events_t) (uint32_t event)</definition>
        <argsstring>)(uint32_t event)</argsstring>
        <name>cy_cb_scb_i2c_handle_events_t</name>
        <briefdescription>
<para>Provides the typedef for the callback function called in the <ref kindref="member" refid="group__group__scb__i2c__interrupt__functions_1ga729b2fa4de4d44ea2e8995d7ca6a0c24">Cy_SCB_I2C_Interrupt</ref> to notify the user about occurrences of <ref kindref="compound" refid="group__group__scb__i2c__macros__callback__events">I2C Callback Events</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="414" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="414" />
      </memberdef>
      <memberdef id="group__group__scb__i2c__data__structures_1gab0351020deb72a39fe1695e88f8aa8c0" kind="typedef" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__scb__i2c__enums_1ga4600410051f7febf79d167ffbf85d7ef">cy_en_scb_i2c_command_t</ref>(*</type>
        <definition>typedef cy_en_scb_i2c_command_t(*  cy_cb_scb_i2c_handle_addr_t) (uint32_t event)</definition>
        <argsstring>)(uint32_t event)</argsstring>
        <name>cy_cb_scb_i2c_handle_addr_t</name>
        <briefdescription>
<para>Provides the typedef for the callback function called in the <ref kindref="member" refid="group__group__scb__i2c__interrupt__functions_1ga729b2fa4de4d44ea2e8995d7ca6a0c24">Cy_SCB_I2C_Interrupt</ref> to notify the user about occurrences of <ref kindref="compound" refid="group__group__scb__i2c__macros__addr__callback__events">I2C Address Callback Events</ref>. </para>        </briefdescription>
        <detaileddescription>
<para>This callback must return a decision to ACK (continue transaction) or NAK (end transaction) the received address. Note if the slave is configured to accept an address in RX FIFO, it must read from it using the <ref kindref="member" refid="group__group__scb__common__functions_1ga4cc4a30079873628f3e57ecff7c20791">Cy_SCB_ReadRxFifo</ref> function. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="425" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="425" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>